--[NEW] These lua files are required to setup a new room.
GLOBAL.require("map/tasks")
GLOBAL.require("constants")

local Layouts = GLOBAL.require("map/layouts").Layouts
local StaticLayout = GLOBAL.require("map/static_layout")

Layouts["insane_pig"] = StaticLayout.Get("map/static_layouts/insane_pig")

--[NEW] Here we define a new room containing one 'haunted_house' .  Ignore the colour and value parameters.
AddRoom("insane_pig", 
	{
		colour={r=0.3,g=0.2,b=0.1,a=0.3},
		value = GLOBAL.GROUND.GRASS, 
		contents =  
		{
			countstaticlayouts= 
			{
				insane_pig = 1,
			},
			distributepercent = .5,
			distributeprefabs=
			{
				berrybush=0.5,
				beehive=0.5,
				flower=2,
				sapling=0.1,
				carrot_planted=0.1,
				grass=0.1,
			}
		}
	})

--[NEW] We get a reference to the 'Forest Hunters' task which is one of the standard world generation tasks.
local task = GLOBAL.tasks.GetTaskByName("Magic meadow", GLOBAL.tasks.sampletasks)

--[NEW] We now add a new room choice to this task which is the room filled with our new creature.  By giving it a value 
--		of 50, we're telling the world generation to spawn up to 50 new rooms with our new creature meaning there should 
--		be up to 50 of our creature spawned randomly around the world.
task.room_choices["insane_pig"] = 1